package com.willalp.common.enums;

/**
 * 操作人类别
 *
 * @author willalp
 */
public enum RechargeEnum {

    ORGANRECHARGE("1","机构充值"),
    PERSONRECHARGE("2","个人充值"),
    KEEPRECHARGE("3","记账额度上调"),
    DEPOSITRECHARGE("4","押金充值");

    private String value;

    private String label;

    RechargeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public static String[] getAllValue(){
        RechargeEnum[] rechargeEnums = RechargeEnum.values();
        String[] values = new String[rechargeEnums.length];
        for (int i = 0; i <rechargeEnums.length ; i++) {
            values[i] = rechargeEnums[i].value;
        }
        return values;
    }

}
